/* 
 * Copyright (C) 1997, 1998 Defence Research Establishment, Dept. of Comm.
 * Systems, FOA 72, Sweden.
 * Currently maintained by Christian Jnsson FOA 72 <chj@lin.foa.se>.
 *
 * This file is part of ETFTP version 1.1.3.
 *
 *   ETFTP is free software; you can redistribute it and/or modify it
 *   under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2, or (at your option)
 *   any later version.
 *
 *   ETFTP is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with ETFTP; see the file GPL.  If not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *   Boston, MA 02111-1307, USA.
 *
 * Code:
 *
 *----------------------------------------------------------------------
 * Filenamne:	clu.h
 * Class:	CLU (Common Log Unit)
 * Created: 	0.1, 970418, Torbjrn Frostemark
 * Revised: 	1.1, 980219, Torbjrn Frostemark
 * 
 * Description: Declarations needed for CLU.
 * Remarks: 	-
 *
 * Private Methods:	-
 *
 * Private Attributes:	FILE *logFD
 * 			FILE *debugFD 
 *----------------------------------------------------------------------
 */

#ifndef _CLU
#define _CLU

#include "etftp.h"

/*
 * Procedures exported from clu.c
 */

extern void CLUStart();
extern void CLUStop();
extern void CLUPut(RecvStat *stats); /* log statistics */
extern void CLUPutStr(char *logStr); /* log string */

/*
 * Private attributes
 */

extern FILE *logFD;			/* UNIX file descriptor for log file */

#ifdef SERVER
extern FILE *debugFD;			/* UNIX file descriptor for debug file */
#endif /* SERVER */

#endif /* _CLU */

