/* 
 * Copyright (C) 1997, 1998 Defence Research Establishment, Dept. of Comm.
 * Systems, FOA 72, Sweden.
 * Currently maintained by Christian Jnsson FOA 72 <chj@lin.foa.se>.
 *
 * This file is part of ETFTP version 1.1.3.
 *
 *   ETFTP is free software; you can redistribute it and/or modify it
 *   under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2, or (at your option)
 *   any later version.
 *
 *   ETFTP is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with ETFTP; see the file GPL.  If not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *   Boston, MA 02111-1307, USA.
 *
 * Code:
 *
 *----------------------------------------------------------------------
 * Filenamne:	net.h
 * Class:	Net
 * Created:	0.1, 970423, Per-Erik Forssn
 * Revised:	1.1, 980219, Torbjrn Frostemark
 * 
 * Description: Interface to the UDP-layer.
 * Remarks:	-
 *----------------------------------------------------------------------
 */

#ifndef _NET
#define _NET

#include "etftp.h"

extern int timeoutFlag;

/*
 * Methods available in net.c
 */

extern void	NetClose();
extern void	NetSend(char *buff, int len);
extern int	NetSockFD(int index);

#ifdef SERVER
extern int	NetInit(char *service, int port);
extern int	NetListen(int inetdFlag);
extern int	ServerNetRecv(char *buff, int maxLen);
#endif /* SERVER */

#ifdef CLIENT
extern int 	ClientNetOpen(char *host, char *service, int port);
int		ClientUDPOpen(char *host, char *service, int port);
extern int	ClientNetRecv(char *buff, int maxLen);
char		*HostErrStr();
#endif /* CLIENT */

#endif /* _NET */







