/* 
 * Copyright (C) 1997, 1998 Defence Research Establishment, Dept. of Comm.
 * Systems, FOA 72, Sweden.
 * Currently maintained by Christian Jnsson FOA 72 <chj@lin.foa.se>.
 *
 * This file is part of ETFTP version 1.1.3.
 *
 *   ETFTP is free software; you can redistribute it and/or modify it
 *   under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2, or (at your option)
 *   any later version.
 *
 *   ETFTP is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with ETFTP; see the file GPL.  If not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *   Boston, MA 02111-1307, USA.
 *
 * Code:
 *
 *----------------------------------------------------------------------
 * Filenamne:	sendrecv.h
 * Class:	sendrecv
 * Created: 	0.1, 970422, Henrik Brodin
 * Revised:	1.1, 980219, Torbjrn Frostemark
 * 
 * Description: Declarations needed for sendrecv.c
 *              
 * Remarks: 	-
 *----------------------------------------------------------------------
 */

#include "etftp.h"

#ifndef _SENDRECV
#define _SENDRECV

/*
 * Public methods in sendrecv.c
 */

#ifdef CLIENT
extern int SendOPEN(char *fName, int fSize, int mode);
extern int RecvRESPONSE();
extern int RecvREFUSED();
#endif /* CLIENT */

extern void SendQUITACK();
extern int RecvQUITACK();
extern void SendDONE();
extern int RecvDONE();
extern void SendABORT();
extern int RecvABORT();
extern void SendQUIT();
extern int RecvQUIT();
extern void SendBuffer();
extern void SendPacket(int number, int type);
extern int RecvDATA();
extern int RecvLDATA();
extern void SendNULL_ACK();
extern int RecvNULL_ACK();
extern void SendCONTROL();
extern int RecvCONTROL();

#ifdef SERVER
extern int RecvOPEN();
#endif /* SERVER */

/*
 * Private methods in sendrecv.c
 */

#ifdef SERVER
extern void SendRESPONSE(int mode, char *fName);
extern void SendREFUSED();
#endif /* SERVER */

extern void MakeHeader(char pkType);

/*
 * Private attributes
 */

char errString[256];
int controlOK;			/* Flags for which packet to send. */
int controlRESEND;
int controlGO;
int seqControl;			/* How many ctrl-packets have we sent? */
TRONList *resendList;
int sentBytes;			/* # of sent bytes */
int lFlag;			/* Is it time to send LDATA or LDATAL? */

#endif /* _SENDRECV */
















